Package org.kapott.hbci.protocol.factory

# Class SEGFactory

java.lang.Object
org.kapott.hbci.tools.ObjectFactory
org.kapott.hbci.protocol.factory.SEGFactory

public class SEGFactory extends ObjectFactory

## Field Summary

### Fields inherited from class org.kapott.hbci.tools.ObjectFactory

`currentPoolSize, freeObjects, usedObjects`

## Method Summary

Modifier and Type
Method
Description
`SEG`
`createSEG(String type, String name, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)`
`SEG`
`createSEG(String type, String name, String path, int idx, Document syntax)`
`static SEGFactory`
`getInstance()`
`void`
`unuseObject(Object o)`

### Methods inherited from class org.kapott.hbci.tools.ObjectFactory

`addToFreePool, addToUsedPool, getFreeObject, getFreeObjects, getUsedObjects, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getInstance

public static SEGFactory getInstance()

### createSEG

public SEG createSEG(String type, String name, String path, char predelim, int idx, StringBuffer res, int fullResLen, Document syntax, Hashtable<String,String> predefs, Hashtable<String,String> valids)

### createSEG

public SEG createSEG(String type, String name, String path, int idx, Document syntax)

### unuseObject

public void unuseObject(Object o)

Overrides:
  `unuseObject` in class `ObjectFactory`